﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Koule
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void BtnVypocet_Click(object sender, RoutedEventArgs e)
        {
            double v, s;

            double r = double.Parse(TxtPolomer.Text);

            v = (4f / 3) * Math.PI * Math.Pow(r, 3);
            s = 4 * Math.PI * r * r;

            TxtObjem.Text = v.ToString("n2");
            TxtPovrch.Text = s.ToString("n2");

        }

        double Objem (double pol)
        {
            return (4f / 3) * Math.PI * Math.Pow(pol, 3);
        }
        double Povrch(double pol)
        {
            return 4 * Math.PI * pol * pol;
        }
        private void BtnVypocet1_Click(object sender, RoutedEventArgs e)
        {
            double v, s;

            double r = double.Parse(TxtPolomer.Text);

            v = Objem(r);
            s = Povrch(r);

            TxtObjem.Text = v.ToString("n2");
            TxtPovrch.Text = s.ToString("n2");
        }

        void VypocetObjemuAPovrchu (double pol, out double v, out double s)
        {
            v = (4f / 3) * Math.PI * Math.Pow(pol, 3);
            s = 4 * Math.PI * pol * pol;
        }

        private void BtnVypocet2_Click(object sender, RoutedEventArgs e)
        {
            double r = double.Parse(TxtPolomer.Text);

            VypocetObjemuAPovrchu(r, out double v, out double s);

            TxtObjem.Text = v.ToString("n2");
            TxtPovrch.Text = s.ToString("n2");
        }
    }
}
